summaryrefslogtreecommitdiffstats
path: root/misc/po4a/po4a.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'misc/po4a/po4a.SlackBuild')
-rw-r--r--misc/po4a/po4a.SlackBuild115
1 files changed, 49 insertions, 66 deletions
diff --git a/misc/po4a/po4a.SlackBuild b/misc/po4a/po4a.SlackBuild
index 30ade7c8e4..b67df8ae81 100644
--- a/misc/po4a/po4a.SlackBuild
+++ b/misc/po4a/po4a.SlackBuild
@@ -2,51 +2,42 @@
# Slackware build script for po4a
-# Copyright 2014, 2015, 2018 Didier Spaier Paris, France
-# All rights reserved.
-#
-# Redistribution and use of this script, with or without modification, is
-# permitted provided that the following conditions are met:
-#
-# 1. Redistributions of this script must retain the above copyright
-# notice, this list of conditions and the following disclaimer.
-#
-# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
-# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
-# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
-# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
-# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
-# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
-# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
-# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
-# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
-# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.ritten by Didier Spaier <didier dot spaier at epsm dot fr>
-
-# WARNING: run this script using an UTF-8 locale. If you don't use one
-# usually, run it like this e.g.
-# LC_ALL=en_US.utf8 ./po4a.SlackBuild
+# Originally written by Didier Spaier Paris, France
+# Now maintained by B. Watson (urchlay@slackware.uk)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+# 20230701 bkw: BUILD=2:
+# - install translations to /usr/share/locale, *not* /usr/locale!
+
+# 20230103 bkw: update for v0.69.
+
+# 20220110 bkw:
+# - new maintainer.
+# - relicense as WTFPL with permission from Didier.
+# - update for v0.65.
+# - force a UTF-8 locale instead of making it a hoop for the user
+# to notice and jump through.
+# - move some of the details from README to a separate README_SBo.txt.
+# - ARCH=noarch.
+# - run the tests if TESTS=yes, as user nobody so they actually work.
cd $(dirname $0) ; CWD=$(pwd)
+export LANG=en_US.UTF-8
+export LC_ALL=en_US.UTF-8
+
PRGNAM=po4a
-VERSION=${VERSION:-0.63}
-BUILD=${BUILD:-1}
+VERSION=${VERSION:-0.69}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
-SRCNAM="$(printf $PRGNAM | cut -d- -f2-)"
+# There is no compiled code here.
+ARCH=noarch
-if [ -z "$ARCH" ]; then
- case "$( uname -m )" in
- i?86) ARCH=i586 ;;
- arm*) ARCH=arm ;;
- *) ARCH=$( uname -m ) ;;
- esac
-fi
+SRCNAM="$(printf $PRGNAM | cut -d- -f2-)"
-# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
-# the name of the created package would be, and then exit. This information
-# could be useful to other scripts.
if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
exit 0
@@ -56,20 +47,6 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-if [ "$ARCH" = "i586" ]; then
- SLKCFLAGS="-O2 -march=i586 -mtune=i686"
- LIBDIRSUFFIX=""
-elif [ "$ARCH" = "i686" ]; then
- SLKCFLAGS="-O2 -march=i686 -mtune=i686"
- LIBDIRSUFFIX=""
-elif [ "$ARCH" = "x86_64" ]; then
- SLKCFLAGS="-O2 -fPIC"
- LIBDIRSUFFIX="64"
-else
- SLKCFLAGS="-O2"
- LIBDIRSUFFIX=""
-fi
-
set -e
rm -rf $PKG
@@ -79,34 +56,40 @@ rm -rf $SRCNAM-$VERSION
tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
cd $SRCNAM-$VERSION
chown -R root:root .
-find -L . \
- \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
- -o -perm 511 \) -exec chmod 755 {} \; -o \
- \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
- -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+find -L . -perm /111 -a \! -perm 755 -a -exec chmod 755 {} \+ -o \
+ \! -perm /111 -a \! -perm 644 -a -exec chmod 644 {} \+
+
+# 20230701 bkw: upstream makes a bad assumption about where the locale dir
+# lives: assumes it's in the same dir as man/. this would be right if our
+# man pages were in /usr/share/man, but sice we use /usr/man, we end up
+# with translations installed to /usr/locale. ugh.
+sed -i '/\$localedir *=~/s,/locale,/share/locale,' Po4aBuilder.pm
perl Build.PL \
prefix=/usr \
installdirs=vendor \
destdir=$PKG
./Build
-# ./Build test
-# exit
+
+# 20220110 bkw: Tests fail if run as root. Also they're time-consuming.
+# Run them only if requested, and do it as "nobody".
+if [ "${TESTS:-no}" = "yes" ]; then
+ chown -R nobody:nogroup t
+ su nobody -s /bin/sh -c "./Build test"
+fi
+
./Build install \
--install_path bindoc=/usr/man/man1 \
--install_path libdoc=/usr/man/man3
-find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-
-find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
-
+find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | \
+ xargs rm -f || true
find $PKG -depth -type d -empty -delete || true
-mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a COPYING NEWS README* TODO \
- changelog $PKG/usr/doc/$PRGNAM-$VERSION
-cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+PKGDOC=$PKG/usr/doc/$PRGNAM-$VERSION
+mkdir -p $PKGDOC
+cp -a COPYING NEWS README* TODO changelog $PKGDOC
+cat $CWD/$PRGNAM.SlackBuild > $PKGDOC/$PRGNAM.SlackBuild
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc